Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RClass Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
VALUE | super
rb_classext_t * | ptr
struct method_table_wrapper * | m_tbl_wrapper

## Detailed Description

Definition at line 790 of file ruby.h.

## Field Documentation

struct RBasic RClass::basic

Definition at line 791 of file ruby.h.

struct method_table_wrapper* RClass::m_tbl_wrapper

Definition at line 794 of file ruby.h.

rb_classext_t* RClass::ptr

Definition at line 793 of file ruby.h.

VALUE RClass::super

Definition at line 792 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h